<?php
	session_start();

	$success = false;
	$msg = null;

	if (!isset($_SESSION) || !isset($_SESSION['userid'])) {
		header('Location: index.php');
		exit();
	}
	else {
		$userid = $_SESSION['userid'];
	}

	$db = new PDO('mysql:host=localhost;dbname=mybank', 'mybank', 'DC9VYaixgtQcYiLu9jSd');

	if (isset($_POST['submit'])) {
		// Get account numbers of user to prevent sending money from somebody else's account
		$userid = $_SESSION['userid'];

		$sql = "SELECT number FROM account WHERE user = :user";
		$stmt = $db->prepare($sql);
		$stmt->bindParam('user', $userid, PDO::PARAM_INT);
		$stmt->execute();
		$userAccounts = $stmt->fetchAll(PDO::FETCH_COLUMN, 0);

		// Get transfer details
		$srcAccount = $_POST['srcAccount'];
		$dstAccount = $_POST['dstAccount'];
		$amount = (int)$_POST['amount'];
		$description = $_POST['description'];

		// Make sure user is sending money from his own account
		if (in_array($srcAccount, $userAccounts)) {
			$sql = "INSERT INTO transaction (src_account, dst_account, amount, description) VALUES ("
				. " (SELECT id FROM account WHERE number = :src_account),"
				. " (SELECT id FROM account WHERE number = :dst_account),"
				. " :amount,"
				. " :description"
				. ")";
			$stmt = $db->prepare($sql);
			$stmt->bindParam('src_account', $srcAccount, PDO::PARAM_STR, 12);
			$stmt->bindParam('dst_account', $dstAccount, PDO::PARAM_STR, 12);
			$stmt->bindParam('amount', $amount, PDO::PARAM_INT);
			$stmt->bindParam('description', $description, PDO::PARAM_STR, 255);

			$stmt->execute();

			if ($stmt->rowCount() == 1) {
				$showForm = false;
				$success = true;
				$msg = 'Your transfer of ' . number_format($amount, 2, ',', '.') . '€ from ' . $srcAccount
					. ' to ' . $dstAccount . ' was successful.';
			}
			else {
				$msg = 'There was a problem processing your transfer.';
			}
		}
		else {
			$msg = "You can't just send money from other people's accounts...";
		}
	}

	// Get accounts of user
        $userid = $_SESSION['userid'];

        $sql = "SELECT * FROM account WHERE user = :user";
        $stmt = $db->prepare($sql);
        $stmt->bindParam('user', $userid, PDO::PARAM_INT);
        $stmt->execute();
        $userAccounts = $stmt->fetchAll(PDO::FETCH_ASSOC);

	// Get all other accounts
	$sql = "SELECT * FROM account WHERE user != :user";
	$stmt = $db->prepare($sql);
	$stmt->bindParam('user', $userid, PDO::PARAM_INT);
	$stmt->execute();
	$otherAccounts = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>
<html>
<head>
	<style>
		.formrow label {
			display: inline-block;
			width: 200px;
		}
	</style>
</head>

<body>
	<div id="welcome">
		Please enter the details of your wire transfer here:
	</div>
	<?php
	if ($success) {
		echo '<div class="success">' . htmlentities($msg) . '<br /><a href="overview.php">back</a></div>';
		echo '</body>';
		echo '</html>';
		exit();
	}
	else if (!empty($msg)) {
		echo '<div class="warning">' . htmlentities($msg) . '</div>';
	}
	?>
	<form method="post" name="transfer">
		<div class="formrow">
			<label>Sender account:</label>
			<?php
			echo '<select name="srcAccount">';
			foreach ($userAccounts as $userAccount) {
				echo '<option>' . $userAccount['number'] . '</option>';
			}
			echo '</select>';
			?>
		</div>
		<div class="formrow">
			<label>Recipient account:</label>
			<?php
			echo '<select name="dstAccount">';
			foreach ($otherAccounts as $otherAccount) {
				echo '<option>' . $otherAccount['number'] . '</option>';
			}
			echo '</select>';
			?>
		</div>
		<div class="formrow">
			<label>Amount:</label><input type="number" name="amount" min="1" max="9999" step="1" value="10" />
		</div>
		<div class="formrow">
			<label>Description:</label><input type="text" name="description" maxlength="255" />
		</div>
		<input type="submit" name="submit" value="Confirm transfer" />
	</form>
	<a href="overview.php">back</a>
</body>
</html>
