<?php
	session_start();

	if (!isset($_SESSION) || !isset($_SESSION['userid'])) {
		header('Location: index.php');
	}
	else {
		$userid = $_SESSION['userid'];
	}

	$db = new PDO('mysql:host=localhost;dbname=mybank', 'mybank', 'DC9VYaixgtQcYiLu9jSd');

	// Statement for fetching accounts for user
	$sql = "SELECT * FROM account WHERE user = :user";
	$accountStmt = $db->prepare($sql);
	$accountStmt->bindParam('user', $userid, PDO::PARAM_INT);
	$accountStmt->execute();

	// Statement for fetching all transactions for account
	$sql = "SELECT timestamp, description, amount, IF(:account = dst_account, 1, -1) AS dir,"
		. " IF(:account = dst_account, (SELECT number FROM account WHERE id = src_account), (SELECT number FROM account WHERE id = dst_account)) AS other_account"
		. " FROM transaction WHERE src_account = :account OR dst_account = :account";
	$transactionStmt = $db->prepare($sql);

	// Statement for calculating balance for account
	$sql = "SELECT (SELECT IFNULL(SUM(amount), 0) FROM transaction WHERE dst_account = :account)"
		. "- (SELECT IFNULL(SUM(amount), 0) FROM transaction WHERE src_account = :account) AS balance";
	$balanceStmt = $db->prepare($sql);
?>
<html>
<head>
	<style>
		div.intro {
			font-size: 20px;
		}

		div.account-overview {
			margin: 20px 0;
			padding: 10px 0 5px 5px;
			border: 1px solid #AEAEAE;
			border-radius: 10px;
		}

		table.transaction-overview {
			border-collapse: collapse;
			border: 1px solid black;
		}

		table.transaction-overview th, table.transaction-overview td {
			border-collapse: collapse;
			border: 1px solid black;
			padding: 5px;
		}

		div.balance {
			margin: 10px 5px 0 10px;
		}
	</style>
</head>

<body>
	<div class="intro">
		Account overview
	</div>
	<?php
		// Display overview per account
		while ($account = $accountStmt->fetch(PDO::FETCH_ASSOC)) {
			$number = $account['number'];

			echo '<div class="account-overview">';
				echo '<span>Account <b>' . $number  . '</b></span>';

				// Fetch transactions for account
				$transactionStmt->bindParam('account', $account['id'], PDO::PARAM_INT);
				$transactionStmt->execute();

				// Calculate balance for account
				$balanceStmt->bindParam('account', $account['id'], PDO::PARAM_INT);
				$balanceStmt->execute();
				$balance = $balanceStmt->fetch(PDO::FETCH_ASSOC)['balance'];

				echo '<table class="transaction-overview">';
                			echo '<thead>';
                       				echo ' <tr>';
                                			echo '<th>date</th>';
							echo '<th>account</th>';
                                                        echo '<th>description</th>';
                                			echo '<th>amount</th>';
                        			echo '</tr>';
                			echo '</thead>';
                			echo '<tbody>';
                                	while ($transaction = $transactionStmt->fetch(PDO::FETCH_ASSOC)) {
                                        	echo '<tr>';
                                               		echo '<td>' . $transaction['timestamp'] . '</td>';
							echo '<td>' . $transaction['other_account'] . '</td>';
                                               		echo '<td>' . $transaction['description'] . '</td>';
							echo '<td>' . number_format($transaction['dir']*$transaction['amount'], 2, ',', '.') . '&euro;</td>';
                                        	echo '</tr>';
                                	}
                			echo '</tbody>';
        			echo '</table>';
				echo '<div class="balance">Current balance: ' . number_format($balance, 2, ',', '.') . '&euro;</div>';
			echo '</div>';
		}
		// End account overview
	?>
	<a href="transfer.php">Wire transfer</a>
</body>
</html>
